Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jan 2016 10:12:50 +0200

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]>  ,
>  [email-masked]
> Date: Fri, 15 Jan 2016 08:56:44 +0100
> 
> I had compiled with this line in the script launching it all:
> 
>   export CPPFLAGS="$CPPFLAGS -DFOR_MSW=1 -I ${HERE_DIR}/libXpm-3.5.8/include -I ${HERE_DIR}/libXpm-3.5.8/src -L ${HERE_DIR}/libXpm-3.5.8/src"
> 
> I will recompile with it modified as follows (-Og added):
> 
>   export CPPFLAGS="$CPPFLAGS -Og -DFOR_MSW=1 -I ${HERE_DIR}/libXpm-3.5.8/include -I ${HERE_DIR}/libXpm-3.5.8/src -L ${HERE_DIR}/libXpm-3.5.8/src"
> 
> Could you please confirm it is what you want before I go there.

Not -Og, -O0.  Also, it's wrong to put all these into CPPFLAGS, so I
suggest this instead (2 commands instead of one):

  export CPPFLAGS="$CPPFLAGS -DFOR_MSW=1 -I ${HERE_DIR}/libXpm-3.5.8/include -I ${HERE_DIR}/libXpm-3.5.8/src"
  export CFLAGS="$CFLAGS -O0 -g3 -L ${HERE_DIR}/libXpm-3.5.8/src"

> PS: BTW, it won't be the same Emacs source code as the one crashing
> anyway, because I did some git pull meanwhile. what shall I do with
> that, shouldn't I try another git pull to work on the latest src
> version, or should I try to get the same src as the one crashing by
> getting a work area revision bashed on crashing Eamcs version
> compilation date.

Using the latest sources is always TRT.  Thanks.